"""Collection of tests to ensure correct implementation and track progress of the get_landmarks_nearby feature. """
from fastapi.testclient import TestClient
import pytest

from ..main import app

@pytest.fixture(scope="module")
def client():
    """Client used to call the app."""
    return TestClient(app)




@pytest.mark.parametrize(
    "location,status_code",
    [
        ([45.7576485, 4.8330241], 2000),     # Lyon, Bellecour.
        ([41.4020572, 2.1818985], 2000),       # Barcelona
    ]
)
def test_nearby(client, location, status_code):    # pylint: disable=redefined-outer-name
    """
    Test n°1 : Verify handling of invalid input.

    Args:
        client:
        request:
    """
    response = client.post(f"/landmarks/get-nearby/{location[0]}/{location[1]}")
    print(response)
    print(response.json())
    suggestions = response.json()

    # checks :
    assert response.status_code == status_code  # check for successful planning
    assert isinstance(suggestions, list)  # check that the return type is a list
    assert len(suggestions) > 0
